'*************************************************************
' 
' ADOBE SYSTEMS INCORPORATED 
' Copyright 2005 Adobe Systems Incorporated 
' All Rights Reserved 

' NOTICE:  Adobe permits you to use, modify, and 
' distribute this file in accordance with the terms
' of the Adobe license agreement accompanying it.  
' If you have received this file from a source 
' other than Adobe, then your use, modification,
' or distribution of it requires the prior 
' written permission of Adobe. 
' 
'*************************************************************

' ImportDatasets.vbs

' DESCRIPTION

' This sample script will create 2 variables (text and visiblity)
' and 10 datasets (alternating between visible and hidden). The
' variables are then exported to C:\DS_V.xml and the document 
' is closed. The document is re-opened and the saved variables 
' are imported.
'
'*************************************************************

Set appRef = CreateObject("Illustrator.Application.3")

' Create a new document and add some art, a text frame and path item.
' Add a text item and assign a content variable to it

Set docRef = appRef.Documents.Add
Set textRef = docRef.TextFrames.Add
textRef.Position = Array(100, 400)
textRef.Contents = "Visible"

Set textVar = docRef.Variables.Add
textVar.Kind = 3 ' aiTextual

textRef.ContentVariable = textVar

' Add a rectangle, and assign a visibility variable to it

Set pathRef = docRef.PathItems.Rectangle(450, 300, 100, 100)
docRef.GraphicStyles(2).ApplyTo pathRef.PageItem
Set visibilityVar = docRef.Variables.Add
visibilityVar.Kind = 2  ' aiVisibility

pathRef.VisibilityVariable = visibilityVar

docRef.SaveAs ("C:\\DS_V.ai")

' Create 10 data sets, alternating between hidden and visible

i = 1
Do While (i < 11)
	If ((i Mod 2) = 0) Then
	    textRef.Contents = "Hidden"
	    pathRef.Hidden = True
	Else
	    textRef.Contents = "Visible"
	    pathRef.Hidden = False
	End If

	Set datasetRef = docRef.DataSets.Add
	i = i + 1
Loop

' Export the datasets, and close the file

docRef.ExportVariables ("C:\DS_V.xml")
docRef.Close (2)

' Re-open the file and import the datasets

Set docRef = appRef.Open("C:\DS_V.ai")
docRef.ImportVariables ("C:\DS_V.xml")

myMsg = "alert(""Done"")"
appRef.DoJavaScript myMsg


